/*
 * @Description:
 * @Author: leizhe
 * @Date: 2022-01-13 10:47:32
 * @LastEditTime: 2022-05-07 18:46:40
 * @LastEditors: Please set LastEditors
 */
import { Tabs, Button } from 'antd';
import React from 'react';
import PageContainer from '@/components/BasePageContainer';
import styles from './SchemeConfig.less';
import TileConfig from './TileConfig/TileConfig';
import VectorData from './VectorData/VectorData';
import ProjectMessage from './projectMessage/projectMessage';
import SolutionConfig from './solutionConfig/solutionConfig';
import ScopeMap from './ScopeMap/index';
import { isDev } from '@/utils/tools';

const { TabPane } = Tabs;

const SchemeConfig = () => {
  const callback = () => {};
  const iframeUrl =
    '/web4/?widget=product/Tool/EditBoundary/EditBoundary&serverCollextion=luanzhou,jiangninggwtest&solution=熊猫智慧水务平台';
  console.log(process.env.HOST, 'process.env.PROXY');
  return (
    <PageContainer>
      <div className={styles.container}>
        <Tabs onChange={callback} type="card" style={{ width: '100%' }} destroyInactiveTabPane>
          <TabPane tab="底图配置" key="1">
            <TileConfig />
          </TabPane>
          <TabPane tab="管网配置" key="2">
            <VectorData />
          </TabPane>
          <TabPane tab="方案管理" key="3">
            <ProjectMessage />
          </TabPane>
          <TabPane tab="方案配置" key="4">
            <SolutionConfig />
          </TabPane>
          <TabPane tab="范围配置" key="5">
            <ScopeMap />
            {/* <div
              style={{
                width: '100%',
                height: 'calc(100vh - 160px)',
              }}
            >
              <iframe
                src={`${isDev ? 'http://192.168.12.140:8081' : window.location.origin}${iframeUrl}`}
                width="99%"
                height="99%"
              />
            </div> */}
          </TabPane>
        </Tabs>
      </div>
    </PageContainer>
  );
};
export default SchemeConfig;
